Summary

Jupgrade - 1.5.23 to 1.7.3

I have used Joomla 1.5 for coming up to 2 years now and have a little understanding of computers and website design BUT I am far from an expert in any of it (very very far from it)

As my web hosting package is coming up for renewal I thought I would upgrade my site from J1.5 to 1.7 at the same time, so I purchased a new hosting contract to experiment with the possibility of an upgrade whilst 1 of my main sites http://www.4x4xfaz.co.uk still lives on old host server.

I downloaded my old joomla 1.5 site files and database (backup) to my pc and uploaded it to a test folder on my new host server http://www.fazautoworks.co.uk/4xf/j2/.

Having spent the last 3 nights reading up various forum posts and after several hours of installing - reinstalling joomla I came across this post http://docs.joomla.org/Migrating_from_Joomla_1.5_to_Joomla_1.6#Using_Akeeba_to_backup

So I downloaded Jupgrade (after free registration) and followed instructions from the above joomla post.

All looked good initially but when I opened the site at http://www.fazautoworks.co.uk/4xf/j2/ I got this error
Warning: require(/home/fazau318/public_html/4xf/j/modules/mod_articles_news/tmpl/vert.php) [function.require]: failed to open stream: No such file or directory in /home/fazau318/public_html/4xf/j/modules/mod_articles_news/mod_articles_news.php on line 19

Fatal error: require() [function.require]: Failed opening required '*public_html/4xf/j/modules/mod_articles_news/tmpl/vert.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in *public_html/4xf/j/modules/mod_articles_news/mod_articles_news.php on line 19

To fixed this I edited line mod_articles_news.php on line 19 by placing // at the beginning of the line then tried refresh ....and my old j1.5 site appeared in j1.7 :-)

A few things don't show up on this test upgrade site as my original site, especially as the milkyway template I found for J1.7 is only 2 columns instead of original 3 but its looking workable and should turn out OK.... hopefully.

I am posting this as it might help someone else in someway.
Opened On:
25 Dec 2011, 16:31 by Faz Chaudhary
Status:
In Progress

Filed Under

  • 1.5 to 1.6
  • Apache 2.2.x
  • com_jupgrade
  • Firefox 3.x
  • MySQL 5.1.x
  • PHP 5.3.x

Responses

Posted on 14 Aug 2012, 12:17 by Luke Douglas
Looking at a migrated site that I have, the "'*public_html/4xf/j/modules/mod_articles_news/tmpl/vert.php'" should be "'*public_html/4xf/j/modules/mod_articles_news/tmpl/vertical.php'" as that is the correct name for the 'vertical' display PHP filename. I believe a simple search for all code with '/mod_articles_news/temp/vert.php' would give you the files that need to have the 'vert.php' changed to 'vertical.php'.